Use rb_errinfo() instead of ruby_errinfo for Ruby 1.9